Name: busybox-kdump
Summary:  Initrd with simple shell to use with kdump
Version: 1.5.1
Release: 1
License: GPL
URL: http://www.busybox.net/
Group: Base
Source0: busybox-%{version}.tar.bz2
Source1: config
Source2: rcS
Buildroot: %{_tmppath}/busybox-%{version}-%{release}-root
NoSource: 0
#Requires: 
#Prereq: 
#BuildPrereq: 

%description 
This Package provides a small busybox with simple shell and 
some kernel modules to boot the second kernel in kdump operation
and provide basic support to mount disks and network.

%prep 
#setup -q -a 1
%setup -n busybox-%{version}

%build 
pwd
#mv config .config
cp %{S:1} .config
make

%install 
rm -fr %{buildroot}
%makeinstall

pwd

mkdir -p %{buildroot}/usr/share/busybox
cp -a root_initrd %{buildroot}/usr/share/busybox/
cp %{S:2} %{buildroot}/usr/share/busybox/root_initrd

%clean 
rm -fr %{buildroot}

%post 
cd /usr/share/busybox/root_initrd
mkdir dev etc lib proc sys sysroot
cd lib
KernelVersion="$(uname -r)kdump"
for i in sd_mod sg sunrpc lockd nfs_acl nfs scsi_mod dm-snapshot dm-zero dm_mirror dm_multipath dm_mod loop spidernet sungem_phy pata_sil680 ata_generic libata ext3 jbd; do cp -a `find /lib/modules/$KernelVersion | grep /$i` . ; done
cd /usr/share/busybox/root_initrd
ln -s sbin/init .
mkdir etc/init.d
mv rcS etc/init.d
perl -lane 'print "mknod /dev/$F[3] b $F[0] $F[1]" if ($F[0] =~ /\d/)' /proc/partitions >> etc/init.d/rcS
find . | cpio --quiet -c -o | gzip -9 -n > ../busybox
cp ../busybox /boot

%preun 
#if [ "$1" = 0 ]; then 
#  /sbin/service foo stop > /dev/null 2>&1 
#  /sbin/chkconfig --del foo 
#fi

%postun 
rm /boot/busybox
rm -R /usr/share/busybox/root_initrd
#if [ "$1" -ge "1" ]; then 
#  /sbin/service foo condrestart > /dev/null 2>&1 
#  /sbin/ldconfig 
#fi

%files 
%defattr(-,root,root) 
/usr/share/busybox/*

#/boot/busybox
#%{_bindir}/* 
#%{_mandir}/* 
#%{_datadir}/* 
#%{_doc}/*

%changelog 

* Mon Jun 16 2003 Some One <one@example.com>
— fixed the broken frobber (#86434)
